select
  p.descricao
  , pp.dia as dia_uso
  , pr.nome as produto
  , pa.nome as principio_ativo
  , pes.nome as fabricante
  , pp.dose
  , pp.uso
from
  protocoloiatf p
  join protocoloiatfprincipioativo pp on pp.cdprotocoloiatf = p.cdprotocoloiatf
  left join principioativo pa on pa.cdprincipioativo = pp.cdprincipioativo
  left join produto pr on pr.cdproduto = pp.cdproduto
  left join pessoa pes on pes.cdpessoa = pp.cdfabricante
order by
  p.descricao, pp.dia, pp.cdprotocoloiatfprincipioativo
